lib/security: Fix broken if statements in gpg_validate_boot_files()